Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.solver
Interface CacheProcessor

All Known Implementing Classes:
  CacheProcessorBasic, CacheProcessorDeluxe, NoCachingCacheProcessor

    public interface CacheProcessor

interface to implementations of feature caches. The `CacheProcessor` is the interface between most of the objective functions and the actual feature managers.

Nested Class Summary
`static class` | `CacheProcessor.FeatureEvaluation` This class holds the feature evaluations for a given position, or position/length combination.
`static class` | `CacheProcessor.LengthFeatureEvaluation`
`static class` | `CacheProcessor.SolverSetup`
`static class` | `CacheProcessor.StatePotentials`

Method Summary
`void` | `evaluatePosition(int seq, int pos)`
`void` | `evaluateSegmentsEndingAt(int seq, int pos)`
`java.util.List<? extends TrainingSequence<?>>` | `getData()`
`CacheProcessor.FeatureEvaluation[]` | `getFeatureEvaluations()`
`double[]` | `getFeatureSums()`
`boolean[]` | `getInvalidTransitions()`
`CacheProcessor.LengthFeatureEvaluation[][]` | `getLengthFeatureEvaluations()`
`double[][]` | `getSequenceFeatureSums()`
`CacheProcessor.SolverSetup` | `getSolverSetup()`
`void` | `setInputData(ModelManager fm, InputSequence<?> data)`
`void` | `setTrainingData(ModelManager fm, java.util.List<? extends TrainingSequence<?>> data)`

Method Detail

### setInputData

    void setInputData(ModelManager fm,
                      InputSequence<?> data)

### setTrainingData

    void setTrainingData(ModelManager fm,
                         java.util.List<? extends TrainingSequence<?>> data)

### getData

    java.util.List<? extends TrainingSequence<?>> getData()

### getFeatureSums

    double[] getFeatureSums()

### getSequenceFeatureSums

    double[][] getSequenceFeatureSums()

### getInvalidTransitions

    boolean[] getInvalidTransitions()

### getSolverSetup

    CacheProcessor.SolverSetup getSolverSetup()

### getFeatureEvaluations

    CacheProcessor.FeatureEvaluation[] getFeatureEvaluations()

### getLengthFeatureEvaluations

    CacheProcessor.LengthFeatureEvaluation[][] getLengthFeatureEvaluations()

### evaluatePosition

    void evaluatePosition(int seq,
                          int pos)

### evaluateSegmentsEndingAt

    void evaluateSegmentsEndingAt(int seq,
                                  int pos)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD